Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class BodyPartPath

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.BodyPartPath

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class BodyPartPath
extends ASN1Object

BodyPartPath ::= SEQUENCE SIZE (1..MAX) OF BodyPartID

Constructor Summary
`BodyPartPath(BodyPartID bodyPartID)` Construct a BodyPartPath object containing one BodyPartID.
`BodyPartPath(BodyPartID[] bodyPartIDs)`

Method Summary
`BodyPartID[]` | `getBodyPartIDs()`
`static BodyPartPath` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BodyPartPath` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyPartPath

    public BodyPartPath(BodyPartID bodyPartID)

  Construct a BodyPartPath object containing one BodyPartID.

Parameters:
  `bodyPartID` - the BodyPartID to be contained.

### BodyPartPath

    public BodyPartPath(BodyPartID[] bodyPartIDs)

Method Detail

### getInstance

    public static BodyPartPath getInstance(java.lang.Object obj)

### getInstance

    public static BodyPartPath getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getBodyPartIDs

    public BodyPartID[] getBodyPartIDs()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD